routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::resource('books', \App\Http\Controllers\BookController::class)->only('update');

Route::resource('categories', \App\Http\Controllers\CategoryController::class)->only('index', 'show');

Route::resource('book_user', \App\Http\Controllers\BookUserController::class)->only('index', 'show');

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Category extends Model
{
    use HasFactory;

    protected $fillable = ['category'];

    /**
     * @return HasMany
     */
    public function books()
    {
        return $this->hasMany(Book::class);
    }
}

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use App\Models\Category;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;

class CategoryController extends Controller
{
    /**
     * CategoryController constructor.
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return Application|Factory|View
     */
    public function index()
    {
        $categories = Category::all();
        $category = Category::first();
        $category->setRelation('books', $category->books()->paginate(3));
        return view('categories.show', ['category' => $category], compact('categories'));
    }

    /**
     * Display the specified resource.
     *
     * @param Category $category
     * @return Application|Factory|View
     */
    public function show(Category $category)
    {
        $categories = Category::all();
        $category->setRelation('books', $category->books()->paginate(3));
        return view('categories.show', ['category' => $category], compact('categories'));
    }
}

resources/views/categories/show.blade.php
@extends('layouts.app')

@section('categories')
    <ul class="list-group w-100">
        @foreach($categories as $book)
            <li class="list-group-item">
            <a href="{{route('categories.show', ['category' => $book])}}">{{$book->category}}</a>
            </li>
        @endforeach
    </ul>
@endsection

@section('content')
    <div class="row row-cols-1 row-cols-md-3">
        @foreach($category->books as $book)
            <div class="col mb-4">
                <div class="card h-100">
                    <img src="{{asset('/storage/' . $book->picture)}}" class="card-img-top" alt="{{$book->picture}}">
                    <div class="card-body">
                        <h5 class="card-title">{{$book->name}}
                        </h5>
                        <p class="card-text">{{$book->description}}</p>
                        <p>{{$book->author->name}}</p>
                    </div>
                    <div class="card-footer">
                        @if($book->active)
                                <a class="btn btn-outline-success" href="{{route('book_user.show', ['book_user' => $book])}}">Add</a>
                        @else
                          Дата возврата:  {{$book->return_at}}
                        @endif
                    </div>
                </div>
            </div>

        @endforeach
    </div>

    <div>
        {{$category->books->links('pagination::bootstrap-4')}}
    </div>

@endsection